package com.goafanti.voucher.service;

import java.util.List;

import com.goafanti.common.model.JtVoucherDetail;
import com.goafanti.core.mybatis.page.Pagination;
import com.goafanti.voucher.bo.JtVoucherDetailListBo;

public interface VoucherDetailService {
	int saveVoucherDetail(JtVoucherDetail voucher);
	
	int updateVoucherDetail(JtVoucherDetail voucher);
	
	int delectVoucherDetail(String id);
	
	JtVoucherDetail selectVoucherDetail(String id);
	
	Pagination<JtVoucherDetailListBo> selectVoucherDetailList(String name,Integer limitUse,String userMobile,Integer source,Integer sort,Integer sortType,Integer pageNo,Integer pageSize);

	int saveUserGetVoucher(String uid, String vid);

	List<String> getTokenVoucher();
	
	
}
